%define	_datadir	%{_prefix}/lib

Summary: The /bin/mail program, which is used to send mail via shell scripts.
Name: mailx
Version: 8.1.1
Release: 19tr
Copyright: BSD
Group: Network/Utilities
Source: ftp://ftp.debian.org/debian/dists/potato/main/source/mail/mailx_8.1.1.orig.tar.gz 
Patch0: mailx_8.1.1-10.1.3.diff
BuildRoot: %{_tmppath}/%{name}-root

%description
The mailx package installs the /bin/mail program, which is used to
send quick email messages (i.e., without opening up a full-featured
mail user agent). Mail is often used in shell scripts.

You should install mailx because of its quick email sending ability,
which is especially useful if you're planning on writing any shell
scripts.

%prep
%setup -q -n mailx-%{version}.orig

%patch0 -p1 -b .8.1.1-10.1.3

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,etc}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

make DESTDIR=${RPM_BUILD_ROOT} install

( cd ${RPM_BUILD_ROOT}
  chmod g-s ./bin/mail
  ln -sf ../../bin/mail .%{_bindir}/Mail
  ln -sf mail.1 .%{_mandir}/man1/Mail.1
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(755,root,mail)	/bin/mail
%{_bindir}/Mail
%{_datadir}/mail.help
%{_datadir}/mail.tildehelp
%config(noreplace) /etc/mail.rc
%{_mandir}/man1/mail.1*
%{_mandir}/man1/Mail.1*

%changelog
* Sun Sep 17 2000 Erlend Midttun <erlendbm@trustix.com>
- Small cleanup

* Fri Sep  1 2000 Jussi Mki <root@radionet.fi>
Grabbed from Debian 2.2
